# $Revision: 1.33 $, $Date: 2002/11/11 03:30:36 $
Summary:	GNOME chess - graphical chess interface
Summary(pl):	GNOME chess - graficzny interfejs do programw szachowych
Name:		gnome-chess
Version:	0.3.3
Release:	8
License:	GPL
Group:		X11/Applications/Games
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-chess/%{name}-%{version}.tar.bz2
Patch0:		%{name}-missing_sgmldocs.make.patch
Patch1:		%{name}-quit.patch
Patch2:		%{name}-mime.patch
Patch3:		%{name}-omf.patch
Patch4:		%{name}-desktop.patch
Icon:		gnome-chess.gif
URL:		http://primates.ximian.com/~jpr/gnome-chess/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	gdk-pixbuf-gnome-devel >= 0.8.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-libs-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	libglade-gnome-devel
BuildRequires:	libtool
BuildRequires:	libxml-devel
BuildRequires:	perl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define         _omf_dest_dir   %(scrollkeeper-config --omfdir)

%description
GNOME Chess is part of the GNOME project and is a graphical chess
interface. It can provide and interface to GNU Chess, Crafty, chess
servers and PGN files.

%description -l pl
GNOME Chess to graficzny interfejs do programw szachowych. Dziaa z
programami GNU Chess i Crafty, obsuguje serwery szachowe i plik PGN.
GNOME Chess jest czci projektu GNOME.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
rm -f missing
%{__gettextize}
%{__aclocal} -I macros
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Gamesdir=%{_applnkdir}/Games/Board \
	omf_dest_dir=%{_omf_dest_dir}/%{name}
	
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /usr/bin/scrollkeeper-update
%postun	-p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_datadir}/gnome-chess
%{_datadir}/mime-info/*
%{_omf_dest_dir}/%{name}
%{_applnkdir}/Games/Board/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gnome-chess.spec,v $
Revision 1.33  2002/11/11 03:30:36  ankry
- desktop konverted to UTF8 and updated translations basing on desktop from
  KDE; rel. 8

Revision 1.32  2002/10/09 13:14:25  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.31  2002/10/07 15:57:17  kloczek
- release 7.

Revision 1.30  2002/10/07 08:08:29  qboosh
- simplified post/postun

Revision 1.29  2002/10/05 07:41:34  ankry
- missing Req(pre,post)

Revision 1.28  2002/10/04 23:04:41  ankry
- added %%pre/%%post scripts, rel. 6

Revision 1.27  2002/10/04 08:30:16  krzak
release 5
fixed omf file patch

Revision 1.26  2002/08/06 11:46:12  qboosh
- BR: gdk-pixbuf-gnome-devel, libglade-gnome-devel; new %%doc

Revision 1.25  2002/06/23 20:52:50  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.24  2002/05/29 21:25:04  ankry
- fixed previous change log

Revision 1.23  2002/05/29 21:23:56  ankry
- group changed to X11/Applications/Games
- release 4, STBR

Revision 1.22  2002/05/21 23:13:14  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.21  2002/05/17 14:28:59  michuz
- fixed omf filse location
- release++

Revision 1.20  2002/04/25 16:26:06  arturs
fixed a small typo

Revision 1.19  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.18  2002/02/22 23:28:58  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:13:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/12/18 19:44:43  saq
- added %{_datadir}/{gnome-chess,omf/*} to %files
- gzip the docs
- docs -= COPYING (GPL), ChangeLog (meant for developers)
- docs += TODO
- updated BuildRequires according to ./configure output
- BuildReq -= ORBit-devel (needed by gnome-libs-devel anyway)
- adapterized
- release 2, STBR

Revision 1.15  2001/11/26 07:27:56  kloczek
- added autoconf, automake, libtool to BuildRequires.

Revision 1.14  2001/11/26 07:25:48  kloczek
- updated to 0.3.3,
- desktop file moved to Games/Board,
- new URL and Source url,
- removed libintl patch (instead make full regenerate ac/am/lt files),
- added gdk-pixbuf-devel and libglade-devel to BuildRequires,
- merge quit and mime patches from MDK.

Revision 1.13  2001/11/25 11:52:15  qrczak
- gnome-chess-libintl.patch: fix autoconf macros

Revision 1.12  2001/07/23 18:37:00  migo
- added pl summary and/or description

Revision 1.11  2001/03/03 14:33:08  kloczek
- release 4: rebuild on new gnome-libs linked with audiofile 0.2.1.

Revision 1.10  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.9  2000/10/29 14:24:02  kloczek
- release 3,
- use new rpm automation,
- rebuild against gnome-libs linked with db3,
- remove using applnk patch (pass path where must be installed desktop file
  as make parameter in %install).

Revision 1.8  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:22:51  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 20:51:41  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:14:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:18  baggins
- translated kloczkish into english

Revision 1.3  2000/01/27 17:18:06  kloczek
- release 2,
- spec adapterized,
- recompiled in new enviroment where libesd not depends on liasound.

Revision 1.2  1999/11/07 13:13:11  kloczek
- updated to 0.2.4.

Revision 1.1  1999/10/20 19:55:16  kloczek
- initial version.

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Mandrake adaptations
